> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerswap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sources

> Retrieves all available source routes. Network parameters accept either network names (e.g. ETHEREUM_MAINNET) or numeric chain IDs for EVM networks (e.g. 1). Token parameters accept either asset names (e.g. USDC, ETH) or token contract addresses (e.g. 0xa0b8...). For native tokens via contract address, use the network's zero address (e.g. 0x0000000000000000000000000000000000000000 for EVM, 11111111111111111111111111111111 for Solana).



## OpenAPI

````yaml https://api.layerswap.io/swagger/v2/swagger.json get /api/v2/sources
openapi: 3.0.1
info:
  title: Layerswap API V2
  version: v2
servers:
  - url: https://api.layerswap.io
    description: Mainnet
security:
  - X-LS-APIKEY: []
paths:
  /api/v2/sources:
    get:
      tags:
        - Swaps
      summary: Get Sources
      description: >-
        Retrieves all available source routes. Network parameters accept either
        network names (e.g. ETHEREUM_MAINNET) or numeric chain IDs for EVM
        networks (e.g. 1). Token parameters accept either asset names (e.g.
        USDC, ETH) or token contract addresses (e.g. 0xa0b8...). For native
        tokens via contract address, use the network's zero address (e.g.
        0x0000000000000000000000000000000000000000 for EVM,
        11111111111111111111111111111111 for Solana).
      parameters:
        - name: destination_network
          in: query
          schema:
            type: string
          examples:
            Ethereum Mainnet:
              value: ETHEREUM_MAINNET
            Arbitrum Mainnet:
              value: ARBITRUM_MAINNET
            Optimism Mainnet:
              value: OPTIMISM_MAINNET
            BSC Mainnet:
              value: BSC_MAINNET
            Starknet Mainnet:
              value: STARKNET_MAINNET
            Solana Mainnet:
              value: SOLANA_MAINNET
        - name: destination_token
          in: query
          schema:
            type: string
          examples:
            ETH:
              value: ETH
            USDC:
              value: USDC
            USDC.e:
              value: USDC.e
            WETH:
              value: WETH
            USDC (contract):
              value: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
            Native token - EVM (contract):
              value: '0x0000000000000000000000000000000000000000'
            Native token - Solana (contract):
              value: '11111111111111111111111111111111'
        - name: include_swaps
          in: query
          schema:
            type: boolean
        - name: include_unavailable
          in: query
          schema:
            type: boolean
        - name: include_unmatched
          in: query
          schema:
            type: boolean
        - name: has_deposit_address
          in: query
          schema:
            type: boolean
        - name: include_swaps_via_deposit_address
          in: query
          schema:
            type: boolean
        - name: network_types
          in: query
          schema:
            type: array
            items:
              $ref: '#/components/schemas/NetworkType'
        - name: X-LS-APIKEY
          in: header
          schema:
            type: string
            default: >-
              NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ApiResponseListNetworkWithRouteTokensModel
components:
  schemas:
    NetworkType:
      enum:
        - evm
        - starknet
        - solana
        - cosmos
        - starkex
        - zksynclite
        - ton
        - paradex
        - tron
        - fuel
        - bitcoin
        - hyperliquid
      type: string
    ApiResponseListNetworkWithRouteTokensModel:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        data:
          type: array
          items:
            $ref: '#/components/schemas/NetworkWithRouteTokensModel'
          nullable: true
      additionalProperties: false
    ApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        metadata:
          type: object
          additionalProperties: {}
      additionalProperties: false
    NetworkWithRouteTokensModel:
      type: object
      properties:
        name:
          type: string
        display_name:
          type: string
        logo:
          type: string
        chain_id:
          type: string
          nullable: true
        node_url:
          type: string
          nullable: true
        nodes:
          type: array
          items:
            type: string
          nullable: true
        type:
          $ref: '#/components/schemas/NetworkType'
        transaction_explorer_template:
          type: string
        account_explorer_template:
          type: string
        source_rank:
          type: integer
          format: int32
        destination_rank:
          type: integer
          format: int32
        token:
          $ref: '#/components/schemas/TokenModel'
        metadata:
          $ref: '#/components/schemas/NetworkMetadata'
        deposit_methods:
          type: array
          items:
            type: string
          nullable: true
        tokens:
          type: array
          items:
            $ref: '#/components/schemas/RouteTokenModel'
      additionalProperties: false
    TokenModel:
      type: object
      properties:
        symbol:
          type: string
        display_asset:
          type: string
        logo:
          type: string
        contract:
          type: string
          nullable: true
        decimals:
          type: integer
          format: int32
        price_in_usd:
          type: number
          format: double
        precision:
          type: number
          format: double
        listing_date:
          type: string
          format: date-time
        source_rank:
          type: integer
          format: int32
        destination_rank:
          type: integer
          format: int32
        group:
          type: string
          nullable: true
      additionalProperties: false
    NetworkMetadata:
      type: object
      properties:
        listing_date:
          type: string
          format: date-time
        evm_oracle_contract:
          type: string
          nullable: true
        evm_multicall_contract:
          type: string
          nullable: true
        zks_paymaster_contract:
          type: string
          nullable: true
        watchdog_contract:
          type: string
          nullable: true
      additionalProperties: false
    RouteTokenModel:
      type: object
      properties:
        symbol:
          type: string
        display_asset:
          type: string
        logo:
          type: string
        contract:
          type: string
          nullable: true
        decimals:
          type: integer
          format: int32
        price_in_usd:
          type: number
          format: double
        precision:
          type: number
          format: double
        listing_date:
          type: string
          format: date-time
        source_rank:
          type: integer
          format: int32
        destination_rank:
          type: integer
          format: int32
        group:
          type: string
          nullable: true
        status:
          type: string
        refuel:
          $ref: '#/components/schemas/TokenWithAmountModel'
      additionalProperties: false
    TokenWithAmountModel:
      type: object
      properties:
        token:
          $ref: '#/components/schemas/TokenModel'
        network:
          $ref: '#/components/schemas/NetworkModel'
        amount:
          type: number
          format: double
        amount_in_usd:
          type: number
          format: double
      additionalProperties: false
    NetworkModel:
      type: object
      properties:
        name:
          type: string
        display_name:
          type: string
        logo:
          type: string
        chain_id:
          type: string
          nullable: true
        node_url:
          type: string
          nullable: true
        nodes:
          type: array
          items:
            type: string
          nullable: true
        type:
          $ref: '#/components/schemas/NetworkType'
        transaction_explorer_template:
          type: string
        account_explorer_template:
          type: string
        source_rank:
          type: integer
          format: int32
        destination_rank:
          type: integer
          format: int32
        token:
          $ref: '#/components/schemas/TokenModel'
        metadata:
          $ref: '#/components/schemas/NetworkMetadata'
        deposit_methods:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    X-LS-APIKEY:
      type: apiKey
      name: X-LS-APIKEY
      in: header

````